
#include "equation.h"

void gravity_sim(int i, int j, int k)
{
  Source[i][j][k].m[GRAVITY_DIR] -= U[i][j][k].rho * GRAVITY_ACCEL;
  Source[i][j][k].E -= U[i][j][k].m[GRAVITY_DIR] * GRAVITY_ACCEL;
}

void gravity_split(int i, int j, int k)
{
  ConservedVars &Uijk = U[i][j][k];

  Uijk.E -= dt * (Uijk.m[GRAVITY_DIR] * GRAVITY_ACCEL) -
    0.5 * GRAVITY_STYLE * Uijk.rho * GRAVITY_ACCEL * GRAVITY_ACCEL * dt * dt;
  Uijk.m[GRAVITY_DIR] -= dt * Uijk.rho * GRAVITY_ACCEL;
}
