
COMPILER = {
    'compile': 'g++ -O3 -ffast-math -mfpmath=sse -msse2 -mcmodel=medium',
    'debug'  : 'g++ -g -ffast-math -mfpmath=sse -msse2 -mcmodel=medium',
    'profile': 'g++ -g -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -pg',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'mpiCC -O3 -ffast-math -mfpmath=sse -msse2 -mcmodel=medium',
    'debug'  : 'mpiCC -g -ffast-math -mfpmath=sse -msse2 -mcmodel=medium',
    'profile': 'mpiCC -g -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -pg',
    'libs'   : ''
}

MPI_RUN = 'mpirun %(cmd)s'

JOB_SUBMIT = 'bsub -n %(nprocs)d -W %(walltime)d:00 -R "span[ptile=%(ptile)d] rusage[mem=%(mem)d]" %(xopts)s %(cmd)s'

CLUSTER = 'Brutus (ETH Zurich)'
