#include "main.h"

void set_ghost_x()
{
  for (int i = 0; i < GX; i++) {
    for (int j = 0; j < NYl; j++) {
      for (int k = 0; k < NZl; k++) {
        U[-1-i][j][k] = U[i][j][k];
        U[-1-i][j][k].h -= Xtra[-1-i][j][0].b - Xtra[i][j][0].b;
        calc_xtra(Xtra[-1-i][j][k], U[-1-i][j][k], -1-i, j, k);
        U[i+NXl][j][k] = U[NXl-1-i][j][k];
        U[i+NXl][j][k].h -= Xtra[i+NXl][j][0].b - Xtra[NXl-1-i][j][0].b;
        calc_xtra(Xtra[i+NXl][j][k], U[i+NXl][j][k], i+NXl, j, k);
      }
    }
  }
}

void set_ghost_y()
{
  for (int i = 0; i < NXl; i++) {
    for (int j = 0; j < GY; j++) {
      for (int k = 0; k < NZl; k++) {
        U[i][-1-j][k] = U[i][j][k];
        U[i][-1-j][k].h -= Xtra[i][-1-j][0].b - Xtra[i][j][0].b;
        calc_xtra(Xtra[i][-1-j][k], U[i][-1-j][k], i, -1-j, k);
        U[i][j+NYl][k] = U[i][NYl-1-j][k];
        U[i][j+NYl][k].h -= Xtra[i][j+NYl][0].b - Xtra[i][NYl-1-j][0].b;
        calc_xtra(Xtra[i][j+NYl][k], U[i][j+NYl][k], i, j+NYl, k);
      }
    }
  }
}

void set_ghost_z()
{
  for (int i = 0; i < NXl; i++) {
    for (int j = 0; j < NYl; j++) {
      for (int k = 0; k < GZ; k++) {
        U[i][j][-1-k] = U[i][j][k];
        U[i][j][-1-k].h -= Xtra[i][j][0].b - Xtra[i][j][0].b;
        calc_xtra(Xtra[i][j][-1-k], U[i][j][-1-k], i, j, -1-k);
        U[i][j][k+NZl] = U[i][j][NZl-1-k];
        U[i][j][k+NZl].h -= Xtra[i][j][0].b - Xtra[i][j][0].b;
        calc_xtra(Xtra[i][j][k+NZl], U[i][j][k+NZl], i, j, k+NZl);
      }
    }
  }
}

void bc_init()
{
}
